********************************************************************************************************************
********************************************************************************************************************
* 	scoring algorithm for the KIDSCREEN-52 self report version				*
********************************************************************************************************************
********************************************************************************************************************

*	copyright and intelectual property: The European KIDSCREEN group			*

********************************************************************************************************************
* 1) uses transformed KIDSCREEN item-scores (transformed e.g. by a priori application of the	*
* syntax "transform_KIDSCREEN-52_rawdata.SPS")					     	*
* 2) based on the RASCH-Person-Parameter Estimates 					     	*
* 3) T-values were computed wich refer to the entire KIDSCREEN survey (excluded were Ireland, 	*
* cases older than 18, younger than 8, > 25% missings in KIDSCREEN items, with any 	     	*
* missing in the particular scale)								     	*
* 4) for the entire European sample the mean of the T-values is 50, the standard deviation is 10   	*
********************************************************************************************************************



RECODE
  KY52PHY1
  (5=3)  (1 thru 2=1)  (3 thru 4=2)  (ELSE=Copy)  INTO  KY52PHYc .
VARIABLE LABELS KY52PHYc 'gh_y01 coll 1 + 2 & 3 + 4 & 5'.
EXECUTE .
MISSING VALUES KY52PHYc (0 +  6 thru 99999) .
EXECUTE .




COMPUTE KC52ph_R  = (KY52PHYc + KY52PHY2 + KY52PHY3 + KY52PHY4 + KY52PHY5 ) .
EXECUTE .

COMPUTE KC52pw_R  = (KY52PWB1 + KY52PWB2 + KY52PWB3 + KY52PWB4 + KY52PWB5 + KY52PWB6 ) .
EXECUTE .

COMPUTE KC52me_R  = (KY52EMO1 + KY52EMO2 + KY52EMO3 + KY52EMO4 + KY52EMO5 + KY52EMO6 + KY52EMO7 ) .
EXECUTE .

COMPUTE KC52sp_R  = (KY52SEL1 + KY52SEL2 + KY52SEL3 + KY52SEL4 + KY52SEL5 ) .
EXECUTE .

COMPUTE KC52au_R  = (KY52AUT1 + KY52AUT2 + KY52AUT3 + KY52AUT4 + KY52AUT5 ) .
EXECUTE .

COMPUTE KC52pa_R  = (KY52PAR1 + KY52PAR2 + KY52PAR3 + KY52PAR4 + KY52PAR5 + KY52PAR6 ) .
EXECUTE .

COMPUTE KC52fi_R  = (KY52FIN1 + KY52FIN2 + KY52FIN3 ) .
EXECUTE .

COMPUTE KC52pe_R  = (KY52SOC1 + KY52SOC2 + KY52SOC3 + KY52SOC4 + KY52SOC5 + KY52SOC6 ) .
EXECUTE .

COMPUTE KC52sc_R  = (KY52SCH1 + KY52SCH2 + KY52SCH3 + KY52SCH4 + KY52SCH5 + KY52SCH6 ) .
EXECUTE .

COMPUTE KC52bu_R  = (KY52BUL1 + KY52BUL2 + KY52BUL3 ) .
EXECUTE .




RECODE KC52ph_R  
(	5	=	-4.287	)	
(	6	=	-3.040	)	
(	7	=	-2.405	)	
(	8	=	-1.960	)	
(	9	=	-1.605	)	
(	10	=	-1.296	)	
(	11	=	-1.011	)	
(	12	=	-0.735	)	
(	13	=	-0.456	)	
(	14	=	-0.168	)	
(	15	=	0.134	)	
(	16	=	0.454	)	
(	17	=	0.796	)	
(	18	=	1.166	)	
(	19	=	1.574	)	
(	20	=	2.035	)	
(	21	=	2.582	)	
(	22	=	3.299	)	
(	23	=	4.594	)	.
EXECUTE .

RECODE KC52pw_R  
(	6	=	-5.335	)	
(	7	=	-4.045	)	
(	8	=	-3.342	)	
(	9	=	-2.827	)	
(	10	=	-2.417	)	
(	11	=	-2.073	)	
(	12	=	-1.772	)	
(	13	=	-1.496	)	
(	14	=	-1.236	)	
(	15	=	-0.981	)	
(	16	=	-0.727	)	
(	17	=	-0.468	)	
(	18	=	-0.200	)	
(	19	=	0.078	)	
(	20	=	0.370	)	
(	21	=	0.677	)	
(	22	=	1.003	)	
(	23	=	1.355	)	
(	24	=	1.738	)	
(	25	=	2.159	)	
(	26	=	2.623	)	
(	27	=	3.138	)	
(	28	=	3.728	)	
(	29	=	4.477	)	
(	30	=	5.795	)	.
EXECUTE .

RECODE KC52me_R  
(	7	=	-4.197	)	
(	8	=	-3.060	)	
(	9	=	-2.511	)	
(	10	=	-2.136	)	
(	11	=	-1.844	)	
(	12	=	-1.602	)	
(	13	=	-1.392	)	
(	14	=	-1.203	)	
(	15	=	-1.029	)	
(	16	=	-0.866	)	
(	17	=	-0.711	)	
(	18	=	-0.560	)	
(	19	=	-0.413	)	
(	20	=	-0.266	)	
(	21	=	-0.118	)	
(	22	=	0.033	)	
(	23	=	0.189	)	
(	24	=	0.351	)	
(	25	=	0.522	)	
(	26	=	0.705	)	
(	27	=	0.904	)	
(	28	=	1.122	)	
(	29	=	1.364	)	
(	30	=	1.639	)	
(	31	=	1.958	)	
(	32	=	2.338	)	
(	33	=	2.816	)	
(	34	=	3.477	)	
(	35	=	4.731	)	.
EXECUTE .

RECODE KC52sp_R  
(	5	=	-3.472	)	
(	6	=	-2.342	)	
(	7	=	-1.797	)	
(	8	=	-1.425	)	
(	9	=	-1.137	)	
(	10	=	-0.899	)	
(	11	=	-0.692	)	
(	12	=	-0.505	)	
(	13	=	-0.331	)	
(	14	=	-0.166	)	
(	15	=	-0.006	)	
(	16	=	0.154	)	
(	17	=	0.318	)	
(	18	=	0.489	)	
(	19	=	0.673	)	
(	20	=	0.880	)	
(	21	=	1.121	)	
(	22	=	1.417	)	
(	23	=	1.807	)	
(	24	=	2.384	)	
(	25	=	3.563	)	.
EXECUTE .

RECODE KC52au_R  
(	5	=	-4.414	)	
(	6	=	-3.175	)	
(	7	=	-2.514	)	
(	8	=	-2.022	)	
(	9	=	-1.612	)	
(	10	=	-1.257	)	
(	11	=	-0.942	)	
(	12	=	-0.660	)	
(	13	=	-0.402	)	
(	14	=	-0.162	)	
(	15	=	0.068	)	
(	16	=	0.293	)	
(	17	=	0.519	)	
(	18	=	0.753	)	
(	19	=	1.001	)	
(	20	=	1.273	)	
(	21	=	1.580	)	
(	22	=	1.941	)	
(	23	=	2.392	)	
(	24	=	3.019	)	
(	25	=	4.235	)	.
EXECUTE .

RECODE KC52pa_R  
(	6	=	-4.635	)	
(	7	=	-3.436	)	
(	8	=	-2.825	)	
(	9	=	-2.388	)	
(	10	=	-2.036	)	
(	11	=	-1.732	)	
(	12	=	-1.458	)	
(	13	=	-1.204	)	
(	14	=	-0.963	)	
(	15	=	-0.731	)	
(	16	=	-0.503	)	
(	17	=	-0.277	)	
(	18	=	-0.052	)	
(	19	=	0.176	)	
(	20	=	0.407	)	
(	21	=	0.645	)	
(	22	=	0.891	)	
(	23	=	1.151	)	
(	24	=	1.428	)	
(	25	=	1.730	)	
(	26	=	2.068	)	
(	27	=	2.460	)	
(	28	=	2.940	)	
(	29	=	3.597	)	
(	30	=	4.840	)	.
EXECUTE .

RECODE KC52fi_R  
(	3	=	-4.214	)	
(	4	=	-2.909	)	
(	5	=	-2.173	)	
(	6	=	-1.591	)	
(	7	=	-1.070	)	
(	8	=	-0.576	)	
(	9	=	-0.087	)	
(	10	=	0.412	)	
(	11	=	0.944	)	
(	12	=	1.537	)	
(	13	=	2.230	)	
(	14	=	3.099	)	
(	15	=	4.538	)	.
EXECUTE .

RECODE KC52pe_R  
(	6	=	-4.255	)	
(	7	=	-3.080	)	
(	8	=	-2.495	)	
(	9	=	-2.084	)	
(	10	=	-1.757	)	
(	11	=	-1.480	)	
(	12	=	-1.235	)	
(	13	=	-1.011	)	
(	14	=	-0.802	)	
(	15	=	-0.604	)	
(	16	=	-0.412	)	
(	17	=	-0.224	)	
(	18	=	-0.037	)	
(	19	=	0.151	)	
(	20	=	0.343	)	
(	21	=	0.540	)	
(	22	=	0.747	)	
(	23	=	0.968	)	
(	24	=	1.206	)	
(	25	=	1.470	)	
(	26	=	1.771	)	
(	27	=	2.128	)	
(	28	=	2.577	)	
(	29	=	3.211	)	
(	30	=	4.445	)	.
EXECUTE .

RECODE KC52sc_R  
(	6	=	-4.489	)	
(	7	=	-3.285	)	
(	8	=	-2.688	)	
(	9	=	-2.276	)	
(	10	=	-1.950	)	
(	11	=	-1.673	)	
(	12	=	-1.425	)	
(	13	=	-1.195	)	
(	14	=	-0.976	)	
(	15	=	-0.762	)	
(	16	=	-0.549	)	
(	17	=	-0.334	)	
(	18	=	-0.114	)	
(	19	=	0.113	)	
(	20	=	0.349	)	
(	21	=	0.595	)	
(	22	=	0.854	)	
(	23	=	1.125	)	
(	24	=	1.412	)	
(	25	=	1.720	)	
(	26	=	2.057	)	
(	27	=	2.439	)	
(	28	=	2.901	)	
(	29	=	3.531	)	
(	30	=	4.744	)	.
EXECUTE .

RECODE KC52bu_R  
(	3	=	-2.804	)	
(	4	=	-1.781	)	
(	5	=	-1.296	)	
(	6	=	-0.951	)	
(	7	=	-0.665	)	
(	8	=	-0.402	)	
(	9	=	-0.144	)	
(	10	=	0.127	)	
(	11	=	0.433	)	
(	12	=	0.811	)	
(	13	=	1.328	)	
(	14	=	2.106	)	
(	15	=	3.533	)	.
EXECUTE .




Compute KC52ph_T = (((KC52ph_R  - 1.2203)  / 1.45408) * 10 + 50) .
EXECUTE .
Compute KC52pw_T  = (((KC52pw_R  - 2.2848)  / 1.89819) * 10 + 50) .
EXECUTE .
Compute KC52me_T  = (((KC52me_R  - 1.7678)  / 1.41742) * 10 + 50) .
EXECUTE .
Compute KC52sp_T  = (((KC52sp_R  - 1.1504)  / 1.21962) * 10 + 50) .
EXECUTE .
Compute KC52au_T  = (((KC52au_R  - 1.4656)  / 1.47689) * 10 + 50) .
EXECUTE .
Compute KC52pa_T  = (((KC52pa_R  - 2.1526)  / 1.69373) * 10 + 50) .
EXECUTE .
Compute KC52fi_T  = (((KC52fi_R  - 1.6970)  / 2.20898) * 10 + 50) .
EXECUTE .
Compute KC52pe_T  = (((KC52pe_R  - 1.4366)  / 1.40170) * 10 + 50) .
EXECUTE .
Compute KC52sc_T  = (((KC52sc_R  - 1.0682)  / 1.54456) * 10 + 50) .
EXECUTE .
Compute KC52bu_T  = (((KC52bu_R  - 2.3615)  / 1.32423) * 10 + 50) .
EXECUTE .




VAR LAB KC52ph_R '52item Physical RASCH PP'.
EXECUTE .
VAR LAB KC52pw_R '52item Psychological Wellbeing RASCH PP'.
EXECUTE .
VAR LAB KC52me_R '52item Moods & Emotions RASCH PP'.
EXECUTE .
VAR LAB KC52sp_R '52item Self Perception RASCH PP'.
EXECUTE .
VAR LAB KC52au_R '52item Autonomy RASCH PP'.
EXECUTE .
VAR LAB KC52pa_R '52item Parents RASCH PP'.
EXECUTE .
VAR LAB KC52fi_R '52item Financial RASCH PP'.
EXECUTE .
VAR LAB KC52pe_R '52item Peers RASCH PP'.
EXECUTE .
VAR LAB KC52sc_R '52item School RASCH PP'.
EXECUTE .
VAR LAB KC52bu_R '52item Bullying RASCH PP'.
EXECUTE .




VAR LAB KC52ph_T '52item Physical international T-values based on RASCH PP'.
EXECUTE .
VAR LAB KC52pw_T '52item Psychological Wellbeing international T-values based on RASCH PP'.
EXECUTE .
VAR LAB KC52me_T '52item Moods & Emotions international T-values based on RASCH PP'.
EXECUTE .
VAR LAB KC52sp_T '52item Self Perception international T-values based on RASCH PP'.
EXECUTE .
VAR LAB KC52au_T '52item Autonomy international T-values based on RASCH PP'.
EXECUTE .
VAR LAB KC52pa_T '52item Parents international T-values based on RASCH PP'.
EXECUTE .
VAR LAB KC52fi_T '52item Financuial international T-values based on RASCH PP'.
EXECUTE .
VAR LAB KC52pe_T '52item Peers international T-values based on RASCH PP'.
EXECUTE .
VAR LAB KC52sc_T '52item School international T-values based on RASCH PP'.
EXECUTE .
VAR LAB KC52bu_T '52item Bullying international T-values based on RASCH PP'.
EXECUTE .

